(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('ngx-loading-spinner', ['exports', '@angular/core', '@angular/common', '@angular/platform-browser'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ngx-loading-spinner'] = {}, global.ng.core, global.ng.common, global.ng.platformBrowser));
}(this, (function (exports, i0, common, platformBrowser) { 'use strict';

    var DefaultSpinnerComponent = /** @class */ (function () {
        function DefaultSpinnerComponent() {
        }
        return DefaultSpinnerComponent;
    }());
    DefaultSpinnerComponent.decorators = [
        { type: i0.Component, args: [{
                    template: '<div class="lds-dual-ring"></div>',
                    encapsulation: i0.ViewEncapsulation.None,
                    styles: [".lds-dual-ring{display:inline-block;width:80px;height:80px}.lds-dual-ring:after{content:\" \";display:block;width:64px;height:64px;margin:8px;border-radius:50%;border-color:#2959a1 transparent;border-style:solid;border-width:6px;-webkit-animation:lds-dual-ring 1.2s linear infinite;animation:lds-dual-ring 1.2s linear infinite}@-webkit-keyframes lds-dual-ring{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}@keyframes lds-dual-ring{0%{transform:rotate(0deg)}to{transform:rotate(1turn)}}"]
                },] }
    ];

    var LoadingSpinnerConfig = /** @class */ (function () {
        function LoadingSpinnerConfig() {
            this.component = DefaultSpinnerComponent;
        }
        return LoadingSpinnerConfig;
    }());
    LoadingSpinnerConfig.ɵprov = i0.ɵɵdefineInjectable({ factory: function LoadingSpinnerConfig_Factory() { return new LoadingSpinnerConfig(); }, token: LoadingSpinnerConfig, providedIn: "root" });
    LoadingSpinnerConfig.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];

    var LoadingSpinnerComponent = /** @class */ (function () {
        function LoadingSpinnerComponent(_spinnerConfig, injector) {
            this._spinnerConfig = _spinnerConfig;
            this.injector = injector;
        }
        Object.defineProperty(LoadingSpinnerComponent.prototype, "component", {
            get: function () {
                return this._spinnerConfig.component;
            },
            enumerable: false,
            configurable: true
        });
        return LoadingSpinnerComponent;
    }());
    LoadingSpinnerComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'dp-loading-spinner',
                    template: "<div class=\"dp-spinner-container\">\r\n    <div *ngComponentOutlet=\"component; injector: injector\"></div>\r\n    <!-- <div class=\"lds-dual-ring\"></div> -->\r\n    <p *ngIf=\"message\">{{message}}</p>\r\n</div>",
                    encapsulation: i0.ViewEncapsulation.None,
                    styles: [".dp-spinner-container{display:flex;flex-direction:column;justify-content:center;align-items:center;position:fixed;z-index:500;background-color:#fff;left:0;right:0;top:0;bottom:0}.dp-spinner-container p{font-size:18px}"]
                },] }
    ];
    LoadingSpinnerComponent.ctorParameters = function () { return [
        { type: LoadingSpinnerConfig },
        { type: i0.Injector }
    ]; };
    LoadingSpinnerComponent.propDecorators = {
        message: [{ type: i0.Input }]
    };

    var LoadingSpinnerModule = /** @class */ (function () {
        function LoadingSpinnerModule() {
        }
        return LoadingSpinnerModule;
    }());
    LoadingSpinnerModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [
                        LoadingSpinnerComponent,
                        DefaultSpinnerComponent
                    ],
                    imports: [
                        common.CommonModule,
                        platformBrowser.BrowserModule
                    ],
                    exports: [
                        LoadingSpinnerComponent,
                        DefaultSpinnerComponent
                    ]
                },] }
    ];

    /*
     * Public API Surface of ngx-loading-spinner
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.DefaultSpinnerComponent = DefaultSpinnerComponent;
    exports.LoadingSpinnerComponent = LoadingSpinnerComponent;
    exports.LoadingSpinnerConfig = LoadingSpinnerConfig;
    exports.LoadingSpinnerModule = LoadingSpinnerModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-loading-spinner.umd.js.map
